package com.syjy.calculate.config;

import com.syjy.calculate.listener.ApplicationListenerImpl;
import com.syjy.calculate.repository.repositoryImpl.CalculationFormulaRepositoryImpl;
import com.syjy.calculate.service.AccuracyPassRateCalculateService;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class StarterAutoConfigure {

    @Bean
    @ConditionalOnMissingBean
    @ConditionalOnProperty(prefix = "calculate.service", value = "enabled", havingValue = "true")
    AccuracyPassRateCalculateService accuracyPassRateCalculateService (){
        return new AccuracyPassRateCalculateService();
    }

    @Bean
    @ConditionalOnMissingBean
    @ConditionalOnProperty(prefix = "calculate.service", value = "enabled", havingValue = "true")
    CalculationFormulaRepositoryImpl calculationFormulaRepositoryImpl (){
        return new CalculationFormulaRepositoryImpl();
    }

    @Bean
    @ConditionalOnMissingBean
    @ConditionalOnProperty(prefix = "calculate.service", value = "enabled", havingValue = "true")
    ApplicationListenerImpl applicationListenerImpl (){
        return new ApplicationListenerImpl();
    }


}