/*
 Navicat Premium Data Transfer

 Source Server         : local
 Source Server Type    : MySQL
 Source Server Version : 80029
 Source Host           : localhost:3306
 Source Schema         : ipfcst-v3

 Target Server Type    : MySQL
 Target Server Version : 80029
 File Encoding         : 65001

 Date: 18/08/2022 14:44:31
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_calculation_formula
-- ----------------------------
DROP TABLE IF EXISTS `t_calculation_formula`;
CREATE TABLE `t_calculation_formula`  (
  `ID` int(0) NOT NULL AUTO_INCREMENT,
  `TYPE` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '公式类型',
  `ORDER` int(0) NULL DEFAULT NULL COMMENT '公式执行顺讯',
  `FORMULA` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公式内容',
  `PROVINCE_ENUM` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '省调',
  `STATE` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态： 0 失效    1 有效',
  `CREATE_TIME` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `CREATOR` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `LAST_MODIFIER` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改时间',
  `LAST_MODIFY_TIME` datetime(0) NULL DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`ID`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 18 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_calculation_formula
-- ----------------------------
INSERT INTO `t_calculation_formula` VALUES (1, 'POINT_S', 1, '(1-math.abs((sj-yc)/yc))*100', 'E21Old;E61;E62;E63;E64;', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (2, 'POINT_U', 1, 'sum:math.abs(sj-yc)', 'E61;E62;E63;E64;', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (3, 'POINT_U', 2, 'math.abs((sj/(sj+yc))-0.5)*(math.abs(sj-yc)/result1)', 'E61;E62;E63;E64;', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (4, 'POINT_U', 3, '(1-(2*result2))*100', 'E61;E62;E63;E64;', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (5, 'MAE', 1, 'sum:math.abs((sj-yc)', 'E14;E36;E42;E43;E51;', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (6, 'MAE', 2, '(1-(result1/(rl*count)))*100', 'E14;E36;E42;E43;E51;', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (7, 'MAE_R', 1, 'sum:math.abs((sj-yc)/yc)', 'E21Old', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (8, 'MAE_R', 2, '(1-(result1/count))*100', 'E21Old', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (9, 'RMSE_A', 1, 'sum:math.abs(sj-yc)', 'E12;E13;E17;E99', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (10, 'RMSE_A', 2, 'sum:math.pow((sj-yc),2)*math.abs(VariateA-VariateB)/result1', 'E12;E13;E17;E99', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (11, 'RMSE_A', 3, '(1-(math.sqrt(result2)/rl))*100', 'E12;E13;E17;E99', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (12, 'RMSE_C', 1, 'sum:math.pow((sj-yc)/rl,2)', 'E15;E21;E22;E23;E23Old;E41;', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (13, 'RMSE_C', 2, '(1-math.sqrt((result1/count)))*100', 'E15;E21;E22;E23;E23Old;E41;', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (14, 'RMSE_R', 1, 'sum:math.pow((sj-yc)/sj,2)', 'E32;E33;E34', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (15, 'RMSE_R', 2, '(1-math.sqrt((result1/count)))*100', 'E32;E33;E34', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (16, 'RMSE_S', 1, 'sum:math.pow((sj-yc),2)', 'E22;E23;E36;E37;E42;E43;E44;E45;E51;E62;', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (17, 'RMSE_S', 2, '(1-(result1/rl*math.sqrt(count)))*100', 'E22;E23;E36;E37;E42;E43;E44;E45;E51;E62;', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (18, 'PASS', 1, 'sum:(1-math.abs((sj-yc)/rl))*100', 'E14;E15;E21;E22;E23;E23Old;E61;', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `t_calculation_formula` VALUES (19, 'PASS', 2, 'result1/count', 'E14;E15;E21;E22;E23;E23Old;E61;', NULL, NULL, NULL, NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
